/*
    ES Knot
    Copyright 2005, 2006 Martin Storsj

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

    Martin Storsj
    martin@martin.st
*/

#include "knotappui.h"
#include "knotdoc.h"

CKnotDocument* CKnotDocument::NewL(CEikApplication& aApp) {
	CKnotDocument* self = NewLC(aApp);
	CleanupStack::Pop(self);
	return self;
}

CKnotDocument* CKnotDocument::NewLC(CEikApplication& aApp) {
	CKnotDocument* self = new(ELeave) CKnotDocument(aApp);
	CleanupStack::PushL( self );
	self->ConstructL();
	return self;
}

void CKnotDocument::ConstructL() {
}

CKnotDocument::CKnotDocument(CEikApplication& aApp) : CAknDocument(aApp) {
}

CKnotDocument::~CKnotDocument() {
}

CEikAppUi* CKnotDocument::CreateAppUiL() {
	return static_cast<CEikAppUi*>(new(ELeave) CKnotAppUi());
}

