/*
    ES Knot
    Copyright 2005, 2006 Martin Storsj

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

    Martin Storsj
    martin@martin.st
*/

#include "window.h"
#include "knot.h"
#include <sys/time.h>
#include <unistd.h>
#include <stdio.h>
#include <GLES/gl.h>

#define WIDTH 176
#define HEIGHT 208

int main(int argc, char *argv[]) {
	createEGLWindow(WIDTH, HEIGHT, "ESKnot");
	Knot *k = new Knot(WIDTH, HEIGHT);
//	k->setTexMode(Knot::UNTEXTURED);
/*
	k->draw(0);
	k->draw(0);
	glFlush();
	postEGLWindow();
	usleep(1000*2000);
*/
	unsigned int lastMorphStart = (unsigned int) -1;
	while (1) {
		struct timeval tv;
		gettimeofday(&tv, NULL);
		unsigned int msec = tv.tv_sec*1000 + tv.tv_usec/1000;
		k->draw(msec);
		glFlush();
		postEGLWindow();
		usleep(1000*50);
		if (lastMorphStart == (unsigned int)-1)
			lastMorphStart = msec - 3000;
		if (msec - lastMorphStart > 4000) {
			k->startMorph();
			lastMorphStart = msec;
		}
	}
	delete k;
	return 0;
}

